Bullet Collision Detection & Physics Library: btConvexConvexAlgorithm.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions | Variables
btConvexConvexAlgorithm.cpp File Reference
`#include "btConvexConvexAlgorithm.h"`
`#include "BulletCollision/NarrowPhaseCollision/btDiscreteCollisionDetectorInterface.h"`
`#include "BulletCollision/BroadphaseCollision/btBroadphaseInterface.h"`
`#include "BulletCollision/CollisionDispatch/btCollisionObject.h"`
`#include "BulletCollision/CollisionShapes/btConvexShape.h"`
`#include "BulletCollision/CollisionShapes/btCapsuleShape.h"`
`#include "BulletCollision/CollisionShapes/btTriangleShape.h"`
`#include "BulletCollision/CollisionShapes/btConvexPolyhedron.h"`
`#include "BulletCollision/NarrowPhaseCollision/btGjkPairDetector.h"`
`#include "BulletCollision/BroadphaseCollision/btBroadphaseProxy.h"`
`#include "BulletCollision/CollisionDispatch/btCollisionDispatcher.h"`
`#include "BulletCollision/CollisionShapes/btBoxShape.h"`
`#include "BulletCollision/CollisionDispatch/btManifoldResult.h"`
`#include "BulletCollision/NarrowPhaseCollision/btConvexPenetrationDepthSolver.h"`
`#include "BulletCollision/NarrowPhaseCollision/btContinuousConvexCollision.h"`
`#include "BulletCollision/NarrowPhaseCollision/btSubSimplexConvexCast.h"`
`#include "BulletCollision/NarrowPhaseCollision/btGjkConvexCast.h"`
`#include "BulletCollision/NarrowPhaseCollision/btVoronoiSimplexSolver.h"`
`#include "BulletCollision/CollisionShapes/btSphereShape.h"`
`#include "BulletCollision/NarrowPhaseCollision/btMinkowskiPenetrationDepthSolver.h"`
`#include "BulletCollision/NarrowPhaseCollision/btGjkEpa2.h"`
`#include "BulletCollision/NarrowPhaseCollision/btGjkEpaPenetrationDepthSolver.h"`
`#include "BulletCollision/NarrowPhaseCollision/btPolyhedralContactClipping.h"`
`#include "BulletCollision/CollisionDispatch/btCollisionObjectWrapper.h"`
Include dependency graph for btConvexConvexAlgorithm.cpp:

Go to the source code of this file.

## Classes
struct | btPerturbedContactResult

## Functions
static void | segmentsClosestPoints (btVector3 &ptsVector, btVector3 &offsetA, btVector3 &offsetB, btScalar &tA, btScalar &tB, const btVector3 &translation, const btVector3 &dirA, btScalar hlenA, const btVector3 &dirB, btScalar hlenB)
| Specialized capsule-capsule collision algorithm has been added for Bullet 2.75 release to increase ragdoll performance If you experience problems with capsule-capsule collision, try to define BT_DISABLE_CAPSULE_CAPSULE_COLLIDER and report it in the Bullet forums with reproduction case.
static btScalar | capsuleCapsuleDistance (btVector3 &normalOnB, btVector3 &pointOnB, btScalar capsuleLengthA, btScalar capsuleRadiusA, btScalar capsuleLengthB, btScalar capsuleRadiusB, int capsuleAxisA, int capsuleAxisB, const btTransform &transformA, const btTransform &transformB, btScalar distanceThreshold)

## Variables
btScalar | gContactBreakingThreshold
bool | disableCcd = false

## Function Documentation

## ◆ capsuleCapsuleDistance()

static btScalar capsuleCapsuleDistance | ( | btVector3 & | normalOnB,
|  | btVector3 & | pointOnB,
|  | btScalar | capsuleLengthA,
|  | btScalar | capsuleRadiusA,
|  | btScalar | capsuleLengthB,
|  | btScalar | capsuleRadiusB,
|  | int | capsuleAxisA,
|  | int | capsuleAxisB,
|  | const btTransform & | transformA,
|  | const btTransform & | transformB,
|  | btScalar | distanceThreshold
| ) |  |
| inlinestatic

Definition at line 117 of file btConvexConvexAlgorithm.cpp.

## ◆ segmentsClosestPoints()

static void segmentsClosestPoints | ( | btVector3 & | ptsVector,
|  | btVector3 & | offsetA,
|  | btVector3 & | offsetB,
|  | btScalar & | tA,
|  | btScalar & | tB,
|  | const btVector3 & | translation,
|  | const btVector3 & | dirA,
|  | btScalar | hlenA,
|  | const btVector3 & | dirB,
|  | btScalar | hlenB
| ) |  |
| inlinestatic

Specialized capsule-capsule collision algorithm has been added for Bullet 2.75 release to increase ragdoll performance If you experience problems with capsule-capsule collision, try to define BT_DISABLE_CAPSULE_CAPSULE_COLLIDER and report it in the Bullet forums with reproduction case.

Definition at line 56 of file btConvexConvexAlgorithm.cpp.

## Variable Documentation

## ◆ disableCcd

bool disableCcd = false

Definition at line 791 of file btConvexConvexAlgorithm.cpp.

## ◆ gContactBreakingThreshold

btScalar gContactBreakingThreshold
| extern

Definition at line 26 of file btPersistentManifold.cpp.